WebSphereSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ibm.websphere.ejb.WebSphereSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ibm.websphere.ejb
Class WebSphereSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.ibm.websphere.ejb.WebSphereSubTask

All Implemented Interfaces:
  Serializable

public class WebSphereSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Generates WebSphere specific deployment descriptors for EJB modules. The following files are generated: ibm-ejb-jar-bnd.xmi, ibm-ejb-jar-ext.xmi and Schema.dbxmi.

NOTE: Since the WebSphere specific deployment descriptors depend on that id's are set in the ejb-jar.xml file you must genererate it with useIds set to true, e.g. `<deploymentdescriptor useIds="true"/>`.

This Ant task defines the following attributes (the rest of the attributes in the list below comes from its baseclass):

- datasource
- currentBackendId

Version:
  $Revision: 1.10 $
Author:
  Minh Yie, Magnus Larsson
See Also:
  Serialized Form
ant.element
  display-name="WebSphere" name="websphere" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  15 August 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WebSphereSubTask()`

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getCurrentBackendId()` Gets the current backend id
`String` | `getDatasource()` Gets the default CMP Datasource
`void` | `setCurrentBackendId(String backendId)` Sets the current backend id.
`void` | `setDatasource(String datasource)` Sets the default CMP Datasource
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSphereSubTask

    public WebSphereSubTask()

Method Detail

### getDatasource

    public String getDatasource()

  Gets the default CMP Datasource

  Returns:
    The default CMP Datasource

### getCurrentBackendId

    public String getCurrentBackendId()

  Gets the current backend id

  Returns:
    The current backend id

### setDatasource

    public void setDatasource(String datasource)

  Sets the default CMP Datasource

  Parameters:
    `datasource` - The new default CMP Datasource

### setCurrentBackendId

    public void setCurrentBackendId(String backendId)

  Sets the current backend id. This parameter is used to point out the id of the current CMP mapping.

  Parameters:
    `backendId` - The current backend id

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD